summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLouis Sautier <sautier.louis@gmail.com>2017-09-12 00:37:15 +0200
committerDavid Seifert <soap@gentoo.org>2017-09-16 12:13:13 +0200
commit349b9b1d1a51d2d358ab82e7391258fb61d4af06 (patch)
tree877f8bf288439d2340574a9ce74f420cc8d6c02b /dev-libs/unittest++
parentdev-libs/unittest++: fix upstream in metadata.xml (diff)
downloadgentoo-349b9b1d1a51d2d358ab82e7391258fb61d4af06.tar.gz
gentoo-349b9b1d1a51d2d358ab82e7391258fb61d4af06.tar.bz2
gentoo-349b9b1d1a51d2d358ab82e7391258fb61d4af06.zip
dev-libs/unittest++: bump to 2.0.0, introduces a pkgconfig file
Closes: https://bugs.gentoo.org/629740 Closes: https://bugs.gentoo.org/629742 Package-Manager: Portage-2.3.8, Repoman-2.3.3
Diffstat (limited to 'dev-libs/unittest++')
-rw-r--r--dev-libs/unittest++/Manifest1
-rw-r--r--dev-libs/unittest++/unittest++-2.0.0.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-libs/unittest++/Manifest b/dev-libs/unittest++/Manifest
index 6ca07a0642f..e56594e50ea 100644
--- a/dev-libs/unittest++/Manifest
+++ b/dev-libs/unittest++/Manifest
@@ -1,2 +1,3 @@
DIST unittest++-1.6.0.tar.gz 52227 SHA256 9fa7e797816e16669d68171418b0dc41ec6b7eaf8483f782441f5f159598c3c0 SHA512 499450b6cfa8ef8be5eff09ac238423fe5dc04b1c6065db02f46b903968e702fb45ccd9953aff81eef4a8aae80e91448afc0cbdf4a3f1f83b551f9d7dcd828f3 WHIRLPOOL 8043c8da08117f70fda142e92bcdfd0c2c8fd99d10380554a2f32fbe5a5c58fe1f3cf31bcc82bfcc6b1dda22dcc61ed11a87370f0f2c7874116dfe8c5a9410e7
DIST unittest++-1.6.1.tar.gz 52536 SHA256 1cc9071be01db190f26868fefb6a7af49ee56a339fc3b08d1a1e9eeca5376c45 SHA512 2bb03def8b6ac84dbb6e5e440e5be8648199096fdc93d6666b704386e2c2279b329be6bda47c81bd8a8c485334059fb2a53fdd90358005a95b8add6f057c25ce WHIRLPOOL e6dfe890ce809fcbee4d82b379e14c66687d9b9fd28bd934941677f32b4974951cae498010370bef85191bc01fd047ce23ff4a14e5b03d4b9216ee131610852a
+DIST unittest++-2.0.0.tar.gz 54100 SHA256 74852198877dc2fdebdc4e5e9bd074018bf8ee03a13de139bfe41f4585b2f5b9 SHA512 39318f4ed31534c116679a3257bf1438a6c4b3bef1894dfd40aea934950c6c8197af6a7f61539b8e9ddc67327c9388d7e8a6f8a3e0e966ad26c07554e2429cab WHIRLPOOL 416149ce2f8af4f3f68d93119179c598eb56c1e223f98c67f6f2193b46fbf891e4871549c973f70ee76e3a87aba7125ce97a3d21f9e5b313ff166c4548c3eb86
diff --git a/dev-libs/unittest++/unittest++-2.0.0.ebuild b/dev-libs/unittest++/unittest++-2.0.0.ebuild
new file mode 100644
index 00000000000..7e79b6aa7a4
--- /dev/null
+++ b/dev-libs/unittest++/unittest++-2.0.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils
+
+MY_PN="unittest-cpp"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A lightweight unit testing framework for C++"
+HOMEPAGE="https://unittest-cpp.github.io/"
+SRC_URI="https://github.com/${MY_PN}/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ cmake-utils_src_prepare
+
+ # https://github.com/unittest-cpp/unittest-cpp/pull/163
+ sed -i '/run unit tests as post build step/,/Running unit tests/d' \
+ CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DUTPP_INCLUDE_TESTS_IN_BUILD=$(usex test)
+ )
+ cmake-utils_src_configure
+}
+
+src_test() {
+ "${BUILD_DIR}/TestUnitTest++" || die "Tests failed"
+}